# Reference

- [DkGrid API](https://docs.dikesoft.com/reference/dkgrid-api.md)
- [DkGridColumnDef](https://docs.dikesoft.com/reference/dkgrid-api/dkgridcolumndef.md): You can access this instance through the property named columnDef of the DkGridComponent, or by listening to the DkGridComponent event called gridColumnDefInstance.
- [DkGridSorting](https://docs.dikesoft.com/reference/dkgrid-api/dkgridsorting.md): You can access this instance through the property named sorting of the DkGridComponent.
- [DkGridSelection](https://docs.dikesoft.com/reference/dkgrid-api/dkgridselection.md): You can access this instance through the property named selection of the DkGridComponent.
- [DkGridRowGrouping](https://docs.dikesoft.com/reference/dkgrid-api/dkgridrowgrouping.md): You can access this instance through the property named rowGrouping of the DkGridComponent.
- [DkGridPagination](https://docs.dikesoft.com/reference/dkgrid-api/dkgridpagination.md): You can access this instance through the property named pagination of the DkGridComponent.
- [DkGridWaitingIndicator](https://docs.dikesoft.com/reference/dkgrid-api/dkgridwaitingindicator.md): You can access this instance through the property called waitingIndicator of the DkGridComponent.
- [DkGridFactoryDataSource](https://docs.dikesoft.com/reference/dkgrid-api/dkgridfactorydatasource.md): You can access this instance through the property named dataSourceFactory of the DkGridComponent.
- [DkGridFilter](https://docs.dikesoft.com/reference/dkgrid-api/dkgridfilter.md): You can access this instance through the property named filter of the DkGridComponent.
- [DkGridEdition](https://docs.dikesoft.com/reference/dkgrid-api/dkgridedition.md): You can access this instance through the property named edition of the DkGridComponent.
- [Components](https://docs.dikesoft.com/reference/components.md)
- [DkGridComponent](https://docs.dikesoft.com/reference/components/dkgridcomponent.md): This class creates a DkGrid instance through the HTML definition.
- [DkGridColumnComponent](https://docs.dikesoft.com/reference/components/dkgridcolumncomponent.md): This class creates a column, either a data column or a group column, using the HTML definition.
- [Classes](https://docs.dikesoft.com/reference/classes.md)
- [DataSource](https://docs.dikesoft.com/reference/classes/datasource.md): \<T> represents the object's shape coming from the data source.
- [Columns](https://docs.dikesoft.com/reference/classes/columns.md): \<T> represents the object's shape coming from the data source. \<R> represents the column data type: string, number, Date, or boolean.
- [Rows](https://docs.dikesoft.com/reference/classes/rows.md): \<T> represents the object's shape coming from the data source.
- [Filtering](https://docs.dikesoft.com/reference/classes/filtering.md)
- [Editing](https://docs.dikesoft.com/reference/classes/editing.md)
- [Interfaces](https://docs.dikesoft.com/reference/interfaces.md)
- [Columns](https://docs.dikesoft.com/reference/interfaces/columns.md)
- [Sorting](https://docs.dikesoft.com/reference/interfaces/sorting.md): \<T> represents the object's shape coming from the data source.
- [Row Grouping](https://docs.dikesoft.com/reference/interfaces/row-grouping.md): \<T> represents the object's shape coming from the data source.
- [Filtering](https://docs.dikesoft.com/reference/interfaces/filtering.md): \<T> represents the object's shape coming from the data source. \<R> represents the column data type: string, number, Date, or boolean.
- [Editing](https://docs.dikesoft.com/reference/interfaces/editing.md): \<T> represents the object's shape coming from the data source.
- [Injection Tokens](https://docs.dikesoft.com/reference/injection-tokens.md)
- [Grid Structure](https://docs.dikesoft.com/reference/injection-tokens/grid-structure.md): The following Injection Tokens apply to the Grid Structure.
- [Filtering](https://docs.dikesoft.com/reference/injection-tokens/filtering.md): The following Injection Tokens apply to the Filtering module.
- [Editing](https://docs.dikesoft.com/reference/injection-tokens/editing.md): The following Injection Tokens apply to the Editing module.
- [Theming](https://docs.dikesoft.com/reference/injection-tokens/theming.md): The following Injection Tokens apply to Theming
- [Type aliases](https://docs.dikesoft.com/reference/type-aliases.md)
- [DataSource](https://docs.dikesoft.com/reference/type-aliases/datasource.md): \<T> represents the object's shape coming from the data source.
- [Columns](https://docs.dikesoft.com/reference/type-aliases/columns.md): \<T> represents the object's shape coming from the data source. \<R> represents the column data type: string, number, Date, or boolean.
- [Selection](https://docs.dikesoft.com/reference/type-aliases/selection.md): \<T> represents the object's shape coming from the data source. \<R> represents the column data type: string, number, Date, or boolean.
- [Filtering](https://docs.dikesoft.com/reference/type-aliases/filtering.md): \<T> represents the object's shape coming from the data source. \<R> represents the column data type: string, number, Date, or boolean.
- [Editing](https://docs.dikesoft.com/reference/type-aliases/editing.md)
- [Type Guards](https://docs.dikesoft.com/reference/type-guards.md): \<T> represents the object's shape coming from the data source. \<R> represents the column data type: string, number, Date, or boolean.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dikesoft.com/reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
